
QGIS Application - Bug report #19568

QGIS 3.0.2crashes when using singleband pseudocolor rendering on raster layer

2018-08-08 03:41 PM - charlotte wheeler

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:3.0.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 27395

Description

User Feedback

Working with single band rasters.

I was trying to use singleband pseudocolor rendering on raster layer (.tif format). when I tried to apply the rendering it crashed

Report Details

Crash ID: 159a9b7e8b86c97662fad97c1972cd4c877cc952

Stack Trace

QgsColorRampShader::shade :

QgsSingleBandPseudoColorRenderer::block :

QgsBrightnessContrastFilter::block :

QgsHueSaturationFilter::block :

QgsRasterResampleFilter::block :

QgsRasterProjector::block :

QgsRasterIterator::readNextRasterPart :

QgsRasterDrawer::draw :

QgsRasterLayer::draw :

QgsRasterLayer::previewAsImage :

QgsRasterLayerProperties::apply :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :
BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.2-Girona

QGIS code revision: commit:307d082e3d

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-08-08 04:02 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try on 3.2, thanks.

#2 - 2018-08-25 12:44 PM - Paolo Cavallini

- Subject changed from QGIS 3.0.2crashes when using singleband pseudocolor rending on rater layer to QGIS 3.0.2crashes when using singleband 

pseudocolor rendering on raster layer

#3 - 2019-01-08 02:37 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
